Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1538716 - [Docs][RFE] Document that remote or manually configured databases need 'work_mem = 8192' in postgresql.conf
Summary: [Docs][RFE] Document that remote or manually configured databases need 'work_...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ovirt-4.2.2
: ---
Assignee: Emma Heftman
QA Contact: Tahlia Richardson
URL: https://access.redhat.com/documentati...
Whiteboard: docs-accepted
Depends On: 1510432
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-25 16:09 UTC by Jiri Belka
Modified: 2018-03-14 14:26 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-14 14:26:46 UTC
oVirt Team: Docs
Target Upstream Version:


Attachments (Terms of Use)

Description Jiri Belka 2018-01-25 16:09:02 UTC
Description of problem:

https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.2-beta/html/installation_guide/appe-preparing_a_remote_postgresql_database_for_use_with_the_red_hat_enterprise_virtualization_manager

for remote db postgresql.conf needs 'work_mem = 8192'. i would almost bet that i saw it somewhere in docs as my previous remote db env has this manually set.

if not set, this happens:

2018-01-25 16:48:29,096+0100 DEBUG otopi.context context.dumpEnvironment:833 ENV OVESETUP_DB/invalidConfigItems=list:'[{'name': 'Engine', 'current': '4096', 'key': 'work_mem', 'e
xpected': 8192, 'format_str': '{key} required to be at least {expected}', 'pg_host': '**FILTERED**.example.com'}]'
2018-01-25 16:48:29,097+0100 DEBUG otopi.context context.dumpEnvironment:837 ENVIRONMENT DUMP - END
2018-01-25 16:48:29,099+0100 DEBUG otopi.context context._executeMethod:128 Stage customization METHOD otopi.plugins.ovirt_engine_setup.ovirt_engine.db.configuration.Plugin._cust
omization
2018-01-25 16:48:29,100+0100 DEBUG otopi.plugins.otopi.dialog.human dialog.__logString:204 DIALOG:SEND                
2018-01-25 16:48:29,100+0100 DEBUG otopi.plugins.otopi.dialog.human dialog.__logString:204 DIALOG:SEND                 Found the following problems in PostgreSQL configuration fo
r the Engine database:
2018-01-25 16:48:29,101+0100 DEBUG otopi.plugins.otopi.dialog.human dialog.__logString:204 DIALOG:SEND                  work_mem required to be at least 8192
2018-01-25 16:48:29,101+0100 DEBUG otopi.plugins.otopi.dialog.human dialog.__logString:204 DIALOG:SEND                 Please set:
2018-01-25 16:48:29,102+0100 DEBUG otopi.plugins.otopi.dialog.human dialog.__logString:204 DIALOG:SEND                  work_mem = 8192
2018-01-25 16:48:29,102+0100 DEBUG otopi.plugins.otopi.dialog.human dialog.__logString:204 DIALOG:SEND                 in postgresql.conf on '**FILTERED**.example.com'. Its locat
ion is usually /var/lib/pgsql/data , or somewhere under /etc/postgresql* .
2018-01-25 16:48:29,103+0100 DEBUG otopi.context context._executeMethod:143 method exception
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/otopi/context.py", line 133, in _executeMethod
    method['method']()
  File "/usr/share/ovirt-engine/setup/bin/../plugins/ovirt-engine-setup/ovirt-engine/db/configuration.py", line 245, in _customization
    'Please fix PostgreSQL configuration and retry.'
RuntimeError: Please fix PostgreSQL configuration and retry.
2018-01-25 16:48:29,105+0100 ERROR otopi.context context._executeMethod:152 Failed to execute stage 'Environment customization': Please fix PostgreSQL configuration and retry.

Comment 1 Lucy Bopf 2018-02-16 07:02:20 UTC
Thanks for reporting, Jiri,

Martin, I'd like to get your ack here first, since you reviewed the same section recently for bug 1534928. Is the parameter that Jiri suggests here required for all setups?

Comment 2 Martin Perina 2018-02-16 08:35:52 UTC
(In reply to Lucy Bopf from comment #1)
> Thanks for reporting, Jiri,
> 
> Martin, I'd like to get your ack here first, since you reviewed the same
> section recently for bug 1534928. Is the parameter that Jiri suggests here
> required for all setups?

I've just find out that it was added as a part of fix for BZ1510432, but unfortunately it was not documented there. I've just fixed the Doc Text for BZ1510432, so yes, please add this new requirement into the list of existing requirements for unmanaged local or remote engine databases.

Comment 3 Lucy Bopf 2018-02-22 06:54:10 UTC
Thanks for confirming, Martin.

We'll review this one in the context of the next beta milestone.

Comment 4 Lucy Bopf 2018-02-22 06:56:07 UTC
Accepting into beta 3 program and assigning to Emma for review.


Note You need to log in before you can comment on or make changes to this bug.